from backend_auto import path_setting
from backend_auto.in_common.base_request import BaseRequest


class diary_data_reqest(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.DIARY_DATA_CONFIG)


    def diary_data(self, current_city_id, diary_referrer, sort, count , start_num):
        self.params["current_city_id"] = current_city_id
        self.params["diary_referrer"] = diary_referrer
        self.params["sort"] = sort
        self.params["count"] = count
        self.params["start_num"] = start_num
        return self.api_send(self.data["diary_data"])



# if __name__ == '__main__':
    # print(send_reqest().login_vfc("beijing", "+8612345678912", 1234, "", ""))
    # print(send_reqest().diary_data("beijing", "my_diary", 0, 8, 2))
    # print(1)